from .grpc_lib.course_lesson_pb2 import (
    AddCommentRequest,
    CourseListRequest,
    CourseRetrieveRequest,
    LessonListRequest,
    LessonRetrieveRequest,
    PackageListRequest,
    PackageRetrieveRequest,
    RateRequest,
    TriggerLikeRequest,
)
from .grpc_lib.course_lesson_pb2_grpc import (
    CategoryControllerStub,
    CourseControllerStub,
    LessonControllerStub,
    PackageControllerStub,
    MasterCourseControllerStub,
)

SUCCESS_CODE = "0"


class RequestMessages:
    COMMENT = AddCommentRequest()
    RATE = RateRequest()
    LIKE = TriggerLikeRequest()
    UNLIKE = TriggerLikeRequest()
    FETCH_ALL_COURSE = CourseListRequest()
    FETCH_COURSE = CourseRetrieveRequest()
    FETCH_ALL_LESSON = LessonListRequest()
    FETCH_LESSON = LessonRetrieveRequest()
    FETCH_ALL_PACKAGE = PackageListRequest()
    FETCH_PACKAGE = PackageRetrieveRequest()


class RPCMethodNames:
    COMMENT = "Comment"
    RATE = "Rate"
    LIKE = "Like"
    UNLIKE = "UnLike"
    FETCH_ONE = "Retrieve"
    FETCH_ALL = "List"
    HIERARCHICAL_FETCH_ALL = "HierarchicalList"


class ControllerStubs:
    COURSE = CourseControllerStub()
    MASTER_COURSE = MasterCourseControllerStub()
    LESSON = LessonControllerStub()
    PAKCAGE = PackageControllerStub()
    CATEGORY = CategoryControllerStub()
